---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: nfs-provisioner
  namespace: argocd
  labels:
    tier: system
    environment: development
spec:
  project: infrastructure
  source:
    repoURL: 'https://gitlab.ethz.ch/k8s-let/cluster-let-04/let-04-system.git'
    path: nfs-provisioner
  # source:
  #   repoURL: 'https://kubernetes-sigs.github.io/nfs-subdir-external-provisioner/'
  #   chart: nfs-subdir-external-provisioner
  #   targetRevision: 4.0.11
  #   helm:
  #     valueFiles:
  #       - values.yaml
  #     values: |-
  #       nfs:
  #         server: nas22.ethz.ch
  #         path: /fs2202/eth_let_jhub_devel
  #       storageClass:
  #         name: nfs-idsd
  #       accessModes: ReadWriteMany

  destination:
    server: 'https://kubernetes.default.svc'
    namespace: local-system
